"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import "../../Element/Tags.js";
const BreadcrumbItem = React__default.forwardRef(
  ({ children, current, ...props }, ref) => {
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "li",
        "data-breadcrumb-item": true,
        ref,
        ...props,
        "aria-current": current ? "page" : void 0,
        className: current ? "current" : void 0,
        role: "navigation",
        "aria-label": "List of breadcrumbs"
      },
      children
    );
  }
);
export {
  BreadcrumbItem
};
