"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import "../Element/Tags.js";
const Callout = React__default.forwardRef(
  ({ kind, children, title, ...props }, ref) => {
    const roleMap = {
      info: "status",
      success: "status",
      warning: "alert",
      error: "alert"
    };
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-callout": true,
        ref,
        className: kind,
        role: roleMap[kind],
        "aria-live": kind === "error" || kind === "warning" ? "assertive" : "polite",
        "aria-label": title,
        ...props
      },
      children
    );
  }
);
export {
  Callout
};
