"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Card = React__default.forwardRef(({ shape, heading, children, ...props }, ref) => {
  let classNames = [];
  if (shape) {
    classNames.push(`shape-${shape}`);
  }
  return /* @__PURE__ */ React__default.createElement(
    Element,
    {
      as: "div",
      "data-card": true,
      ref,
      classNames,
      role: "region",
      "aria-label": heading,
      tabIndex: 0,
      ...props
    },
    children
  );
});
export {
  Card
};
