"use client";
"use client;";
import React__default from "react";
import { Element } from "./Element.js";
const createComponentWithElement = (tagName) => {
  return React__default.forwardRef(
    (props, ref) => /* @__PURE__ */ React__default.createElement(Element, { as: tagName, ref, ...props })
  );
};
const Article = createComponentWithElement("article");
const Aside = createComponentWithElement("aside");
const Body = createComponentWithElement("body");
const Div = createComponentWithElement("div");
const Footer = createComponentWithElement("footer");
const Header = createComponentWithElement("header");
const Main = createComponentWithElement("main");
const Nav = createComponentWithElement("nav");
const Section = createComponentWithElement("section");
const Span = createComponentWithElement("span");
export {
  Article,
  Aside,
  Body,
  Div,
  Footer,
  Header,
  Main,
  Nav,
  Section,
  Span
};
