"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { Div } from "../../Element/Tags.js";
import { InputLabel } from "../InputLabel/InputLabel.js";
import { FormItem } from "../FormItem/FormItem.js";
const BaseInputComponent = React__default.forwardRef(
  ({
    as: Component,
    className,
    label,
    helpText,
    errorText,
    validateThis,
    classNames,
    ...inputProps
  }, ref) => /* @__PURE__ */ React__default.createElement(
    FormItem,
    {
      "data-form-item": true,
      required: inputProps.required
    },
    /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: Component,
        ref,
        classNames: [
          className || "",
          validateThis ? "validate-this" : ""
        ].concat(classNames || []),
        ...inputProps
      }
    ),
    label && /* @__PURE__ */ React__default.createElement(InputLabel, { label, htmlFor: inputProps.id }),
    (helpText || errorText) && /* @__PURE__ */ React__default.createElement(Div, { className: "info-section vertically-center-items", marginTop: "nano" }, helpText && /* @__PURE__ */ React__default.createElement(Element, { as: "span", className: "help-text" }, helpText), errorText && /* @__PURE__ */ React__default.createElement(Element, { as: "span", className: "error-text" }, errorText))
  )
);
export {
  BaseInputComponent
};
