"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
const InputLabel = React__default.forwardRef(
  ({
    label,
    hideLabel,
    htmlFor,
    ...props
  }, ref) => {
    let classNames = [];
    if (hideLabel) {
      classNames.push("visually-hidden");
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "label",
        ref,
        htmlFor,
        classNames,
        ...props
      },
      label
    );
  }
);
export {
  InputLabel
};
