"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
const RadioButton = React__default.forwardRef(
  ({
    onClick,
    ...props
  }, ref) => {
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-radio-button": true,
        ref,
        onClick,
        role: "radio",
        "aria-checked": props.checked,
        "aria-disabled": props.disabled
      },
      /* @__PURE__ */ React__default.createElement(
        BaseInputComponent,
        {
          as: "input",
          type: "radio",
          ...props
        }
      )
    );
  }
);
export {
  RadioButton
};
