"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
import { Div } from "../../Element/Tags.js";
const SelectWithOptions = ({ options, className, ...props }) => {
  const renderOption = (option) => /* @__PURE__ */ React__default.createElement(Element, { as: "option", key: option.value, value: option.value, disabled: option.disabled }, option.label);
  const renderOptGroup = (group) => /* @__PURE__ */ React__default.createElement(Element, { as: "optgroup", key: group.label, label: group.label }, group.options.map(renderOption));
  return /* @__PURE__ */ React__default.createElement(Div, { "data-select": true, className, disabled: props.disabled }, /* @__PURE__ */ React__default.createElement(Element, { as: "select", ...props }, options.map(
    (option) => (
      // @ts-ignore
      "options" in option ? renderOptGroup(option) : renderOption(option)
    )
  )));
};
const Select = React__default.forwardRef((props, ref) => {
  return /* @__PURE__ */ React__default.createElement(BaseInputComponent, { as: SelectWithOptions, ref, ...props });
});
export {
  Select
};
