"use client";
"use client;";
import * as React from "react";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { Div } from "../../Element/Tags.js";
import { Text } from "../../Typography/Text.js";
import { Heading6 } from "../../Typography/Heading.js";
import { Spinner } from "../../Spinner/Spinner.js";
const SvgLeft = (props) => /* @__PURE__ */ React.createElement("svg", { viewBox: "0 0 24 24", ...props }, /* @__PURE__ */ React.createElement("path", { d: "M15.41 16.59L10.83 12l4.58-4.59L14 6l-6 6 6 6 1.41-1.41z" }));
const SvgRight = (props) => /* @__PURE__ */ React.createElement("svg", { viewBox: "0 0 24 24", ...props }, /* @__PURE__ */ React.createElement("path", { d: "M8.59 16.59L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.41z" }));
const TablePagination = React__default.forwardRef(
  ({
    pageIndex,
    rangeStart,
    rangeEnd,
    hasPreviousPage,
    hasNextPage,
    totalRecords,
    isLoading,
    loadingText,
    emptyText,
    onPageChange: handlePageChange,
    ...props
  }, ref) => {
    return /* @__PURE__ */ React__default.createElement(Element, { as: "div", "data-table-pagination": true, ref, ...props }, /* @__PURE__ */ React__default.createElement(Div, { className: "vertically-centre-items", marginBottom: "none" }, totalRecords === 0 ? /* @__PURE__ */ React__default.createElement(Heading6, { marginRight: "nano" }, emptyText ? emptyText : "No records") : /* @__PURE__ */ React__default.createElement(Heading6, { marginRight: "nano" }, rangeStart, " – ", rangeEnd, totalRecords ? ` of ${totalRecords}` : ``), /* @__PURE__ */ React__default.createElement(Div, { classNames: ["nav-icon", `${pageIndex === 0 && `is-inactive`}`] }, /* @__PURE__ */ React__default.createElement(SvgLeft, { onClick: () => pageIndex !== 0 && handlePageChange(0) }), /* @__PURE__ */ React__default.createElement("span", null, "First page")), /* @__PURE__ */ React__default.createElement(Div, { classNames: ["nav-icon", `${!hasPreviousPage && `is-inactive`}`] }, /* @__PURE__ */ React__default.createElement(SvgLeft, { onClick: () => hasPreviousPage && handlePageChange(pageIndex - 1) }), /* @__PURE__ */ React__default.createElement("span", null, "Previous")), /* @__PURE__ */ React__default.createElement(Text, { marginLeft: "nano", marginRight: "nano" }, pageIndex + 1), /* @__PURE__ */ React__default.createElement(Div, { classNames: ["nav-icon", `${!hasNextPage && `is-inactive`}`] }, /* @__PURE__ */ React__default.createElement(SvgRight, { onClick: () => hasNextPage && handlePageChange(pageIndex + 1) }), /* @__PURE__ */ React__default.createElement("span", null, "Next")), isLoading && /* @__PURE__ */ React__default.createElement(Div, { marginLeft: "nano", className: "vertically-centre-items" }, /* @__PURE__ */ React__default.createElement(Spinner, null), loadingText && /* @__PURE__ */ React__default.createElement(Text, { size: "small", marginLeft: "nano" }, loadingText))));
  }
);
export {
  TablePagination
};
