"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import { Text } from "../Typography/Text.js";
const Accordion = React__default.forwardRef(
  ({ summary, children, open = false, ...props }, ref) => {
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "details",
        "data-expandable-content": true,
        ref,
        ...props,
        open,
        role: "region",
        "aria-labelledby": "accordion-summary"
      },
      /* @__PURE__ */ React__default.createElement(
        "summary",
        {
          role: "button",
          tabIndex: 0,
          "aria-controls": "accordion-content",
          "aria-expanded": open
        },
        typeof summary === "string" ? /* @__PURE__ */ React__default.createElement(Text, { margin: "none" }, summary) : summary
      ),
      children
    );
  }
);
export {
  Accordion
};
