"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Divider = React__default.forwardRef(
  ({ kind, height, label, ...props }, ref) => {
    let classNames = [];
    if (kind) {
      classNames.push(kind);
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "hr",
        "data-hrule": true,
        ref,
        classNames,
        role: "separator",
        "aria-orientation": "horizontal",
        "aria-label": label,
        ...props,
        style: { height }
      }
    );
  }
);
export {
  Divider
};
