"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
const FormItemGroup = React__default.forwardRef(
  ({
    isJoint,
    retainLayout,
    children,
    legend,
    id,
    ...props
  }, ref) => {
    const groupId = id || `form-group-${Math.random().toString(36).substring(2, 9)}`;
    let classNames = [];
    if (isJoint) {
      classNames.push("is-joint");
    }
    if (retainLayout) {
      classNames.push("retain-layout");
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-form-item-group": true,
        ref,
        id: groupId,
        role: "group",
        "aria-label": legend,
        classNames,
        ...props
      },
      children
    );
  }
);
export {
  FormItemGroup
};
