"use client";
"use client;";
import React__default from "react";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
const InputField = React__default.forwardRef(
  ({
    "aria-label": ariaLabel,
    "aria-invalid": ariaInvalid,
    ...props
  }, ref) => {
    return /* @__PURE__ */ React__default.createElement(
      BaseInputComponent,
      {
        as: "input",
        "data-input-field": true,
        ref,
        "aria-label": ariaLabel || props.label,
        "aria-invalid": ariaInvalid || props.invalid || void 0,
        "aria-required": props.required,
        placeholder: " ",
        ...props
      }
    );
  }
);
export {
  InputField
};
