"use client";
"use client;";
import React__default from "react";
import { RadioButton } from "./RadioButton.js";
import { Element } from "../../Element/Element.js";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
const RadioGroupOptions = ({ options, defaultValue, required, ...props }) => {
  return /* @__PURE__ */ React__default.createElement(Element, { as: "div", required }, options.map((option, index) => {
    return /* @__PURE__ */ React__default.createElement(RadioButton, { key: index, ...props, ...option });
  }));
};
const RadioGroup = React__default.forwardRef((props, ref) => {
  return /* @__PURE__ */ React__default.createElement(BaseInputComponent, { as: RadioGroupOptions, ref, ...props });
});
export {
  RadioGroup
};
