"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
import { Div } from "../../Element/Tags.js";
import { BaseInputComponent } from "../BaseInputComponent/BaseInputComponent.js";
import { InputLabel } from "../InputLabel/InputLabel.js";
import { Text } from "../../Typography/Text.js";
const Range = React__default.forwardRef(({ label, value, suffix, ...props }, ref) => {
  return /* @__PURE__ */ React__default.createElement(Element, { "data-range": true, ref }, label && /* @__PURE__ */ React__default.createElement(Div, { "data-range-meta": true }, /* @__PURE__ */ React__default.createElement(InputLabel, { className: "range-label", label, htmlFor: props.id }), /* @__PURE__ */ React__default.createElement(Text, { className: "range-value" }, value, suffix && suffix)), /* @__PURE__ */ React__default.createElement(
    BaseInputComponent,
    {
      as: "input",
      type: "range",
      value,
      ...props
    }
  ));
});
export {
  Range
};
