"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
const SidebarItemIcon = React__default.forwardRef(
  ({ iconType, ...props }, ref) => {
    let classNames = [];
    if (iconType) {
      classNames.push(`icon-${iconType}`);
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-sidebar-item-icon": true,
        ref,
        classNames,
        ...props
      }
    );
  }
);
export {
  SidebarItemIcon
};
