"use client";
"use client;";
import React__default from "react";
import { Element } from "../../Element/Element.js";
const SidebarItemText = React__default.forwardRef(
  ({ linkText, weight, size, ...props }, ref) => {
    let classNames = [];
    if (weight) {
      classNames.push(`weight-${weight}`);
    }
    if (size) {
      classNames.push(`text-${size}`);
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "p",
        "data-sidebar-item-text": true,
        ref,
        classNames,
        ...props
      },
      linkText
    );
  }
);
export {
  SidebarItemText
};
