"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
const Spinner = React__default.forwardRef(
  ({
    size = "medium",
    loadingText = "Loading...",
    ...props
  }, ref) => {
    let classNames = [];
    if (size) {
      classNames.push(`size-${size}`);
    }
    return /* @__PURE__ */ React__default.createElement(
      Element,
      {
        as: "div",
        "data-spinner": true,
        ref,
        classNames,
        role: "status",
        "aria-busy": "true",
        "aria-live": "polite",
        "aria-label": loadingText,
        ...props
      }
    );
  }
);
export {
  Spinner
};
