"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import "../Element/Tags.js";
const Heading = React__default.forwardRef(
  ({ fontStyle = "sans-serif", weight, align, ...props }, ref) => {
    let classNames = [];
    if (weight) {
      classNames.push(`weight-${weight}`);
    }
    if (fontStyle) {
      classNames.push(`font-${fontStyle}`);
    }
    if (align) {
      classNames.push(`text-${align}`);
    }
    return /* @__PURE__ */ React__default.createElement(Element, { ref, classNames, ...props });
  }
);
const Heading1 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h1", ref, ...props }));
const Heading2 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h2", ref, ...props }));
const Heading3 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h3", ref, ...props }));
const Heading4 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h4", ref, ...props }));
const Heading5 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h5", ref, ...props }));
const Heading6 = React__default.forwardRef((props, ref) => /* @__PURE__ */ React__default.createElement(Heading, { as: "h6", ref, ...props }));
export {
  Heading1,
  Heading2,
  Heading3,
  Heading4,
  Heading5,
  Heading6
};
