"use client";
"use client;";
import React__default from "react";
import { Element } from "../Element/Element.js";
import "../Element/Tags.js";
const Text = React__default.forwardRef(
  ({ weight, size, fontStyle = "sans-serif", align, isSubtext, ...props }, ref) => {
    let classNames = [];
    if (weight) {
      classNames.push(`weight-${weight}`);
    }
    if (size) {
      classNames.push(`text-${size}`);
    }
    if (fontStyle) {
      classNames.push(`font-${fontStyle}`);
    }
    if (isSubtext) {
      classNames.push("sub-text");
    }
    if (align) {
      classNames.push(`text-${align}`);
    }
    return /* @__PURE__ */ React__default.createElement(Element, { as: "p", ref, classNames, ...props });
  }
);
export {
  Text
};
